import * as $dara from '@darabonba/typescript';
export declare class QueryDiscoverDatabaseRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the scan task.
     *
     * > You can call the [StartDiscoverDatabaseTask](~~StartDiscoverDatabaseTask~~) operation to query the ID of the task.
     *
     * @example
     * 7f7b051f-7d1c-46da-b253-a03f3a27****
     */
    createMark?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
